/* init.h
   Header file for reading/parsing the initialization file */

#define INITLINESIZE 1024

#define ISODIGIT(x) ((x) >= '0' && (x) <= '7')

/* Command enumeration. */
typedef enum {
   NONE, ACCEPT, ADDHOSTDIR, ALWAYSREST, BASEHREF,
   DEBUG_, DIRMODE, DIRPREFIX, DIRSTRUCT, DOMAINS,
   FILEPREFIX, FOLLOWFTP, FORCEHTML,
   FTPPROXY, HTTPPROXY, INPUT, KILLERROR,
   KILLLONGER, LOGFILE, LOGIN, NOCLOBBER, NOLOCATION, NUMTRIES, PASSWD,
   PREFIXFILES, QUIET, RECLEVEL, RECURSIVE, REJECT,
   RELATIVEONLY, SIMPLEHOSTCHECK, SPANHOSTS, TIMEOUT, USEPROXY, VERBOSE,
   LAST
} cmdid;

/* Command struct */
struct cmd {
   char *name;
   cmdid id;
};

cmdid comind(struct cmd *, char *);
char *init_path(void);
void initialize(void);
int parse_line(char *, char **, char **);
int setval(char *, char *);
int onoff(char *);
int setonoff(int *, char *, char *);
int setnuminf(int *, char *, char *, int);
void defaults(void);
int myatoi(char *);
int getmode(char *);
void freemem(void);
