/* url.h
   Header file for URL handling */

/* URL separator (for findurl) */
#ifndef URL_SEPARATOR
#  define URL_SEPARATOR "!\"#'()*+,>`{}|<>"
#endif /* URL_SEPARATOR */

/* Default port definitions */
#define DEFAULT_HTTP_PORT 80
#define DEFAULT_FTP_PORT 21

/* Buffer for file-loading */
#ifndef FILE_BUFFER_SIZE
#  define FILE_BUFFER_SIZE 1024
#endif /* FILE_BUFFER_SIZE */

typedef struct proto {
   char *name;
   uerr_t ind;
   int port;
} proto_t;

/* Function declarations */
uerr_t urlproto(char *);
uerr_t parseurl(char *, char *, int *, char *);
char *findurl(char *, int, int *);
int mymkdir(char *);
char *mkstruct(char *);
char *url_filename(char *, char *);
char *unique_name(char *, int);
int exists(char *);
char *construct(char *, char *, int, int);
char *strip_double(char *);
char *strip_dot(char *);
char *opt_url(char *, int);
int numdigit(int);
int acceptable(char *);
int in_acclist(char **, char *);
char *suffix(char *s);
int matches(char **, char *);
char **fillacclist(char *);
uerr_t load_file(FILE *, char **, long *);
void create_hash(char ***, char **);
int in_hash(char **, char *);
void add_hash(char ***, char *);
void freelists(void);
char *getproxy(uerr_t);
